
clear 

*a) load the data set 

import excel "C:\Users\Fabian\Desktop\panel_data_full.xlsx", sheet("Sheet1") firstrow clear

import excel "C:\Users\Fabian\Desktop\panel_data_long_only.xlsx", sheet("Sheet1") firstrow clear

import excel "C:\Users\Fabian\Desktop\panel_data_long_short.xlsx", sheet("Sheet1") firstrow clear


ssc install asreg, replace


*declare data as panel data 
*firm and time variable 
xtset HF month


* dependand variable returns 
*independend variables: age assets ESG management performance leveraged dividend HWM lockup penalty

asreg return assets age ESG, fmb

asreg return assets ESG, fmb

asreg return age assets ESG management performance leveraged dividend HWM lockup penalty, fmb

* adjust for standard errors using three lags

asreg return assets age ESG, fmb newey(3)
asreg return assets age ESG management performance leveraged HWM, fmb newey(3)
asreg return age assets ESG management performance leveraged dividend HWM lockup penalty, fmb newey(3)

* adjust for standard errors in the second stage regression using three lags
asreg return age assets ESG, fmb newey(3) first
asreg return age assets ESG, fmb newey(3) first save(FirstStage)
